# gdcm::SerieHelper Class Reference

`#include <gdcmSerieHelper.h>`

Collaboration diagram for gdcm::SerieHelper:
[legend]

List of all members.

## Classes
struct | Rule
## Public Member Functions
| SerieHelper ()
| ~SerieHelper ()
void | AddRestriction (uint16_t group, uint16_t elem, std::string const &value, int op)
void | AddRestriction (const std::string &tag)
void | Clear ()
void | CreateDefaultUniqueSeriesIdentifier ()
std::string | CreateUniqueSeriesIdentifier (File *inFile)
FileList * | GetFirstSingleSerieUIDFileSet ()
FileList * | GetNextSingleSerieUIDFileSet ()
void | OrderFileList (FileList *fileSet)
void | SetDirectory (std::string const &dir, bool recursive=false)
void | SetLoadMode (int)
void | SetUseSeriesDetails (bool useSeriesDetails)
## Protected Types
typedef std::vector< Rule > | SerieRestrictions
typedef std::map< std::string, FileList * > | SingleSerieUIDFileSetmap
## Protected Member Functions
bool | AddFile (FileWithName &header)
void | AddFileName (std::string const &filename)
void | AddRestriction (const Tag &tag)
bool | ImagePositionPatientOrdering (FileList *fileSet)
bool | UserOrdering (FileList *fileSet)
## Protected Attributes
SingleSerieUIDFileSetmap::iterator | ItFileSetHt
SingleSerieUIDFileSetmap | SingleSerieUIDFileSetHT

## Detailed Description

DO NOT USE this class, it is only a temporary solution for ITK migration from GDCM 1.x to GDCM 2.x It will disapear soon, you've been warned.

Instead see gdcm::ImageHelper or gdcm::IPPSorter

## Member Typedef Documentation

typedef std::vector<Rule> gdcm::SerieHelper::SerieRestrictions`[protected]`

typedef std::map<std::string, FileList *> gdcm::SerieHelper::SingleSerieUIDFileSetmap`[protected]`

## Constructor & Destructor Documentation

gdcm::SerieHelper::SerieHelper | ( |  | ) |

gdcm::SerieHelper::~SerieHelper | ( |  | ) |

## Member Function Documentation

bool gdcm::SerieHelper::AddFile | ( | FileWithName & | header | ) | `[protected]`

void gdcm::SerieHelper::AddFileName | ( | std::string const & | filename | ) | `[protected]`

void gdcm::SerieHelper::AddRestriction | ( | const Tag & | tag | ) | `[protected]`

void gdcm::SerieHelper::AddRestriction | ( | uint16_t | group,
|  | uint16_t | elem,
|  | std::string const & | value,
|  | int | op |
| ) |  |  |

void gdcm::SerieHelper::AddRestriction | ( | const std::string & | tag | ) |

void gdcm::SerieHelper::Clear | ( |  | ) |

void gdcm::SerieHelper::CreateDefaultUniqueSeriesIdentifier | ( |  | ) |

std::string gdcm::SerieHelper::CreateUniqueSeriesIdentifier | ( | File * | inFile | ) |

FileList* gdcm::SerieHelper::GetFirstSingleSerieUIDFileSet | ( |  | ) |

FileList* gdcm::SerieHelper::GetNextSingleSerieUIDFileSet | ( |  | ) |

bool gdcm::SerieHelper::ImagePositionPatientOrdering | ( | FileList * | fileSet | ) | `[protected]`

void gdcm::SerieHelper::OrderFileList | ( | FileList * | fileSet | ) |

void gdcm::SerieHelper::SetDirectory | ( | std::string const & | dir,
|  | bool | recursive = `false` |
| ) |  |  |

void gdcm::SerieHelper::SetLoadMode | ( | int |  | ) | `[inline]`

void gdcm::SerieHelper::SetUseSeriesDetails | ( | bool | useSeriesDetails | ) |

bool gdcm::SerieHelper::UserOrdering | ( | FileList * | fileSet | ) | `[protected]`

## Member Data Documentation

SingleSerieUIDFileSetmap::iterator gdcm::SerieHelper::ItFileSetHt`[protected]`

SingleSerieUIDFileSetmap gdcm::SerieHelper::SingleSerieUIDFileSetHT`[protected]`

The documentation for this class was generated from the following file:

- gdcmSerieHelper.h